package testData

import (
	"ginapp/src/config"
	"ginapp/src/model"
)

var InterestSeedMatrices = map[string]any{
	"Collection": config.COLLECTION.INTEREST,
	"Seed":       true,
	"Data": []interface{}{
		&model.Interest{
			Id:        config.COLLECTION.INTEREST + "/5f206db4-6dc2-435c-a072-be84315a4a64",
			Key:       "5f206db4-6dc2-435c-a072-be84315a4a64",
			Name:      "Badminton",
			CreatedAt: "2023-01-20T19:31:11+08:00",
			CreatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
			UpdatedAt: "2023-01-20T19:31:11+08:00",
			UpdatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
		},
		&model.Interest{
			Id:        config.COLLECTION.INTEREST + "/d30dddc3-047e-46d8-b4ba-47b56ff40af0",
			Key:       "d30dddc3-047e-46d8-b4ba-47b56ff40af0",
			Name:      "Hiking",
			CreatedAt: "2023-01-20T19:31:11+08:00",
			CreatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
			UpdatedAt: "2023-01-20T19:31:11+08:00",
			UpdatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
		},
		&model.Interest{
			Id:        config.COLLECTION.INTEREST + "/3f5d70a9-b28e-4306-ab3d-5b6f292db5eb",
			Key:       "3f5d70a9-b28e-4306-ab3d-5b6f292db5eb",
			Name:      "Reading",
			CreatedAt: "2023-01-20T19:31:11+08:00",
			CreatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
			UpdatedAt: "2023-01-20T19:31:11+08:00",
			UpdatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
		},
		&model.Interest{
			Id:        config.COLLECTION.INTEREST + "/3de301e5-1bfd-4f96-b82b-c98e1de9de86",
			Key:       "3de301e5-1bfd-4f96-b82b-c98e1de9de86",
			Name:      "Chess",
			CreatedAt: "2023-01-20T19:31:11+08:00",
			CreatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
			UpdatedAt: "2023-01-20T19:31:11+08:00",
			UpdatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
		},
		&model.Interest{
			Id:        config.COLLECTION.INTEREST + "/db9b985d-39fd-4876-a034-924c98c4704a",
			Key:       "db9b985d-39fd-4876-a034-924c98c4704a",
			Name:      "City Tour",
			CreatedAt: "2023-01-20T19:31:11+08:00",
			CreatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
			UpdatedAt: "2023-01-20T19:31:11+08:00",
			UpdatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
		},
		&model.Interest{
			Id:        config.COLLECTION.INTEREST + "/a9abcdcb-32ad-4270-81b0-58cd6d81e8e4",
			Key:       "a9abcdcb-32ad-4270-81b0-58cd6d81e8e4",
			Name:      "Camping",
			CreatedAt: "2023-01-20T19:31:11+08:00",
			CreatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
			UpdatedAt: "2023-01-20T19:31:11+08:00",
			UpdatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
		},
		&model.Interest{
			Id:        config.COLLECTION.INTEREST + "/59928c4d-f535-4cf2-8be8-d38e95f46d66",
			Key:       "59928c4d-f535-4cf2-8be8-d38e95f46d66",
			Name:      "Programming",
			CreatedAt: "2023-01-20T19:31:11+08:00",
			CreatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
			UpdatedAt: "2023-01-20T19:31:11+08:00",
			UpdatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
		},
		&model.Interest{
			Id:        config.COLLECTION.INTEREST + "/53b66d04-6f1e-483c-a4a3-725bd44a5b2f",
			Key:       "53b66d04-6f1e-483c-a4a3-725bd44a5b2f",
			Name:      "Sing",
			CreatedAt: "2023-01-20T19:31:11+08:00",
			CreatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
			UpdatedAt: "2023-01-20T19:31:11+08:00",
			UpdatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
		},
		&model.Interest{
			Id:        config.COLLECTION.INTEREST + "/4df97067-f9ae-4ce6-8b7d-75233446312e",
			Key:       "4df97067-f9ae-4ce6-8b7d-75233446312e",
			Name:      "Piano",
			CreatedAt: "2023-01-20T19:31:11+08:00",
			CreatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
			UpdatedAt: "2023-01-20T19:31:11+08:00",
			UpdatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
		},
		&model.Interest{
			Id:        config.COLLECTION.INTEREST + "/b9ac6385-f365-4fce-895e-5a56280d682f",
			Key:       "b9ac6385-f365-4fce-895e-5a56280d682f",
			Name:      "Acting",
			CreatedAt: "2023-01-20T19:31:11+08:00",
			CreatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
			UpdatedAt: "2023-01-20T19:31:11+08:00",
			UpdatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
		},
		&model.Interest{
			Id:        config.COLLECTION.INTEREST + "/58888191-5d10-409b-afee-6e9993fac6d1",
			Key:       "58888191-5d10-409b-afee-6e9993fac6d1",
			Name:      "Drawing",
			CreatedAt: "2023-01-20T19:31:11+08:00",
			CreatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
			UpdatedAt: "2023-01-20T19:31:11+08:00",
			UpdatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
		},
		&model.Interest{
			Id:        config.COLLECTION.INTEREST + "/544c4af6-4a4c-47d6-93d2-e9c0eb5ae854",
			Key:       "544c4af6-4a4c-47d6-93d2-e9c0eb5ae854",
			Name:      "Acrylic Paint",
			CreatedAt: "2023-01-20T19:31:11+08:00",
			CreatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
			UpdatedAt: "2023-01-20T19:31:11+08:00",
			UpdatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
		},
		&model.Interest{
			Id:        config.COLLECTION.INTEREST + "/b356dee9-746f-49d4-a5f1-68817e247924",
			Key:       "b356dee9-746f-49d4-a5f1-68817e247924",
			Name:      "Parkor",
			CreatedAt: "2023-01-20T19:31:11+08:00",
			CreatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
			UpdatedAt: "2023-01-20T19:31:11+08:00",
			UpdatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
		},
		&model.Interest{
			Id:        config.COLLECTION.INTEREST + "/31e5fe5e-efd5-4c7c-97d9-858a3361169f",
			Key:       "31e5fe5e-efd5-4c7c-97d9-858a3361169f",
			Name:      "Violin",
			CreatedAt: "2023-01-20T19:31:11+08:00",
			CreatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
			UpdatedAt: "2023-01-20T19:31:11+08:00",
			UpdatedBy: "profiles/313e5df9-cae1-41bb-b164-97b7098dd517",
		},
	},
}
